# Uses of Interface
org.eclipse.birt.core.data.IColumnBinding

Packages that use IColumnBinding
Package
Description
org.eclipse.birt.core.data
Provide BIRT's data util component.

## Uses of IColumnBinding in org.eclipse.birt.core.data

Methods in org.eclipse.birt.core.data that return IColumnBinding
Modifier and Type
Method
Description
`static IColumnBinding`
ExpressionUtil.`getColumnBinding(String oldExpression)`
Return an IColumnBinding instance according to given oldExpression.
Methods in org.eclipse.birt.core.data that return types with arguments of type IColumnBinding
Modifier and Type
Method
Description
`static List<IColumnBinding>`
ExpressionUtil.`extractColumnExpressions(String oldExpression)`
Extract all column expression info
`static List<IColumnBinding>`
ExpressionUtil.`extractColumnExpressions(String oldExpression, boolean mode)`
Deprecated.
use `extractColumnExpressions( String, String )` instead
`static List<IColumnBinding>`
ExpressionUtil.`extractColumnExpressions(String oldExpression, String indicator)`
Extract all column expression info